Skip to content

GetPlanTransition.

GET
/no_auth/namespaces/system/billing/plan_transition
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/no_auth/namespaces/system/billing/plan_transition \
--header 'Authorization: <Authorization>'

API to GET plan transition details by a plan transition request uid returned from InitiatePlanTransition. For now this one returns only current State.

Examples of this operation.

id
string

ID of the plan transition request.

A successful response.

Media typeapplication/json
GetPlanTransitionRsp

Request body of GetPlanTransition custom API.

object
state
string
default: STATE_UNSPECIFIED
Allowed values: STATE_UNSPECIFIED STATE_CREATING STATE_FAILED STATE_FINISHED STATE_WAITING_FOR_APPROVAL
Example
{
"state": "STATE_UNSPECIFIED"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example